# Django Web Secure

The middleware that makes ponies fly with a great sense of security.

![Flying pony](http://www.davidfischer.name/wp-content/uploads/2012/02/Securing-Your-Django-Site-Presentation/img/django-pony.png)


## Inspiration:

* https://www.owasp.org/index.php/List_of_useful_HTTP_headers,
* https://wiki.mozilla.org/WebAppSec/Secure_Coding_Guidelines


## What can it do:

* Force SSL,
* Exempt hosts,
* Enable HSTS, HSTS subdomains and HSTS preload,
* Enable XSS Protection,
* Enable nosniff,
* Enable Content-Security-Policy,


__All of these are options that you can turn on/off.__


## How to use:

Follow the instructions in [INSTALL.md](../blob/master/INSTALL.md)


## How to test:

Using

* [Erik's Pony checkup](http://ponycheckup.com)
* [SSL labs' SSL test](https://www.ssllabs.com/ssltest/)


## Docs:

TODO: `docs/`
